#ifndef INC_GTNUMBER_H
#define INC_GTNUMBER_H

#include "gtwidget.h"

/************************************************************************\
*
* GtNumber class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtNumber : public GtWidget
{
public:
		/* Standard */
	GtNumber(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtNumber"); }
	sbool IsSubClassOf(char *cn);
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
protected:
		/* Instance variables */
	char buf[12];
	char *fmt;
	ulong num;
	int len;
	word fh,fw,foff;
};

extern GtNumber *GtMkNumber(char *n,GtManager *p,GtTag *tgs);
extern GtNumber *GtMkNumber(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTNUMBER_H */
